Project API keys
List API keys for a project
GET
/
v1
/
organization
/
projects
/
{project_id}
/
api_keys
List API keys for a project
curl --request GET \
--url https://api.abliteration.ai/v1/organization/projects/{project_id}/api_keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abliteration.ai/v1/organization/projects/{project_id}/api_keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abliteration.ai/v1/organization/projects/{project_id}/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"redacted_value": "<string>",
"name": "<string>",
"created_at": 123,
"id": "<string>",
"owner": {
"id": "<string>",
"name": "<string>",
"type": "project"
},
"status": "active",
"permissions": [
"<string>"
],
"object": "organization.project.api_key",
"last_used_at": 123,
"expires_at": 123
}
],
"has_more": true,
"object": "list",
"first_id": "<string>",
"last_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}Authorizations
Server-side organization-owned Abliteration Admin API key. Never expose this credential in browser code.
Path Parameters
Public project ID.
Required string length:
1 - 200Query Parameters
ID of the last object from the prior page.
Required string length:
1 - 200Maximum number of objects to return.
Required range:
1 <= x <= 100Last modified on October 1, 2026
⌘I
List API keys for a project
curl --request GET \
--url https://api.abliteration.ai/v1/organization/projects/{project_id}/api_keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abliteration.ai/v1/organization/projects/{project_id}/api_keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abliteration.ai/v1/organization/projects/{project_id}/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"redacted_value": "<string>",
"name": "<string>",
"created_at": 123,
"id": "<string>",
"owner": {
"id": "<string>",
"name": "<string>",
"type": "project"
},
"status": "active",
"permissions": [
"<string>"
],
"object": "organization.project.api_key",
"last_used_at": 123,
"expires_at": 123
}
],
"has_more": true,
"object": "list",
"first_id": "<string>",
"last_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}